  !---------------------------------------------------------------------
  subroutine dbpari    
  !---------------------------------------------------------------------

    use param
    use global
    use cgenl


    implicit none
!    include 'include/cgenl_f90.cmn'
    include 'include/cdbio_f90.cmn'
!!   include 'include/cdbimg_f90.cmn'
!    include 'include/clslst_f90.cmn'

    dbexpd = 'XMM-EPIC'
    dbobsm = 'pointing'
!    det_id = 'XMM'

    ict_ech = 1

    image(1) = stringParameter("imageset")
    expima(1) = stringParameter("expimageset")
    expima2(1) = stringParameter("expimageset2")
    lslst(1) = stringParameter("boxlistset")
    bacmp(1) = stringParameter("bkgimageset")
    cheeseim = stringParameter("cheeseimageset")
    cheesemask= stringParameter("cheesemaskset")
    ootlist  = stringParameter("ooteventset")
    withoot = booleanParameter("withootset")
    method =  stringParameter("fitmethod")
    db_lmap = booleanParameter("withdetmask")    
    mexbm = stringParameter("detmaskset")
    db_exp = booleanParameter("withexpimage")
    db_exp2 = booleanParameter("withexpimage2")
    db_cheese = booleanParameter("withcheese")
    db_cheesemask =  booleanParameter("withcheesemask")
    db_nstp = intParameter("nfitrun")
    db_nspline = intParameter("nsplinenodes")    
    db_esig = realParameter("excesssigma")
    db_snrm = realParameter("mlmin")
    db_cut = realParameter("scut")
    db_band = intParameter("idband")
    pimin = intParameter("pimin")
    pimax = intParameter("pimax")

    if (method .eq. 'model' .and. .not. db_exp) then
      call error("ParamMismatch","Need  exposure map for fitmethod *model*")
    endif


    db_nres = 1
    bscal = 1.0
    db_fof = .false.

!   dbfwhm (fwhm_cal_file)



  end subroutine dbpari








