real function blur(fovr)

implicit none

real, intent(in) :: fovr
real :: detect, telesc 

detect = 49.98
telesc = 1.0498e-3 * fovr**4

! add quadratic detector and telescope contributions and
! change from sigma to fwhm (factor valid for Gaussian).

blur = sqrt(detect+telesc) * 2.3548

end function blur
